		$(document).ready(function(){
			load(1);
			
		});

			function load(page){
			var tienda= $("#tienda").val();
			var desde= $("#bd-desde").val();
			var hasta= $("#bd-hasta").val();
			
			$("#loader").fadeIn('slow');
			$.ajax({
				type: "POST",
				url:'./ajax/buscar_despachos.php',
				data:'action=ajax&page='+page+'&tienda='+tienda+'&desde='+desde+'&hasta='+hasta,
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					
				}
			})
		}


	
		
			function eliminar (id)
		{
			var tienda= $("#tienda").val();
			
		if (confirm("Realmente deseas eliminar la despacho")){	
		$.ajax({
        type: "GET",
        url: "ajax/buscar_despachos.php",
        data: "id="+tienda,
		 beforeSend: function(objeto){
			$("#resultados").html("Mensaje: Cargando...");
		  },
        success: function(datos){
		$("#resultados").html(datos);
		load(1);
		}
			});
		}
		}
		
		
		function imprimir_guia(id_despacho){
			VentanaCentrada('./pdf/documentos/despacho_pdf.php?id_despacho='+id_despacho,'despacho','','1024','768','true');
		}
	 
	  $( "#editar_despacho" ).submit(function( event ) {
  $('#actualizar_datos30').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/editar_despacho.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax10").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax10").html(datos);
			$('#actualizar_datos30').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})

function obtener_datos(id,q){
			var num_despa = $("#num_despa"+id).val();
			var destino = $("#destino"+id).val();
			$("#q").val(q);
			$("#id_despacho").val(id);
			$("#num_despa").val(num_despa);
			$("#destino").val(destino);
			
		
		}